Java doesn't work in Firefox 3.6

Bug #557235 reported by El_Zorro_Loco on 2010-04-07
6
Affects Status Importance Assigned to Milestone
firefox (Ubuntu)
Undecided
Unassigned

Bug Description

Firefox 3.6 is incompatible to the old Java plugin in the package sun-java6-plugin. I tried to use the recomended new one (link to libnpjp2.so), but the only results were crashes, when there's a java-applet on a webpage. After removing the link in the plugin folder, firefox runs as normal again but without java support.

ProblemType: Bug
DistroRelease: Ubuntu 10.04
Package: firefox 3.6.3+nobinonly-0ubuntu1
ProcVersionSignature: Ubuntu 2.6.32-19.28-generic 2.6.32.10+drm33.1
Uname: Linux 2.6.32-19-generic i686
NonfreeKernelModules: nvidia
Architecture: i386
Date: Wed Apr 7 13:37:28 2010
FirefoxPackages:
 firefox 3.6.3+nobinonly-0ubuntu1
 firefox-gnome-support N/A
 firefox-branding 3.6.3+nobinonly-0ubuntu1
 abroswer N/A
 abrowser-branding N/A
InstallationMedia: Kubuntu 10.04 "Lucid Lynx" - Beta i386 (20100318)
ProcEnviron:
 LANG=de_DE.UTF-8
 SHELL=/bin/bash
SourcePackage: firefox

El_Zorro_Loco (the-crazy-zorro) wrote :
tags: added: obsolete package
removed: apport-bug i386 lucid
tags: added: java
tags: added: obsolete-package
removed: obsolete package
tags: added: firefox
Philip Muškovac (yofel) wrote :

Assigning to firefox for now. the sun java6 plugin works fine here though on i386 and amd64 in ffx3.6

affects: ubuntu → firefox (Ubuntu)
Micah Gersten (micahg) on 2010-04-08
tags: added: apport-bug i386 lucid
removed: obsolete-package
drew212 (mstngdrew212) wrote :

Thank you for reporting this bug and helping to improve Ubuntu. Could you please try the following command and let me know if it works for you: sudo apt-get install openjdk-6-jre please restart your browser after it installs. Thanks in advance!

Changed in firefox (Ubuntu):
status: New → Incomplete
drew212 (mstngdrew212) wrote :

Please disregard the previous comment and copy the output of this command: apt-cache policy sun-java6-plugin. Again, thanks in advance!

El_Zorro_Loco (the-crazy-zorro) wrote :

sun-java6-plugin:
  Installiert: (keine)
  Kandidat: 6.20dlj-1ubuntu3
  Versions-Tabelle:
     6.20dlj-1ubuntu3 0
        500 http://archive.canonical.com/ubuntu/ lucid/partner Packages

But Java works fine now. Thanks for the help.

Changed in firefox (Ubuntu):
status: Incomplete → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers